# Poco

# template < class TKey, class TValue >

# class AccessExpireStrategy

Library: Foundation
Package: Cache
Header: Poco/AccessExpireStrategy.h

## Description

An AccessExpireStrategy implements time and access based expiration of cache entries

## Inheritance

Direct Base Classes: ExpireStrategy < TKey, TValue >

All Base Classes: ExpireStrategy < TKey, TValue >

## Member Summary

Member Functions: onGet

## Constructors

### AccessExpireStrategy

AccessExpireStrategy(
Timestamp::TimeDiff expireTimeInMilliSec
);

Create an expire strategy. Note that the smallest allowed caching time is 25ms. Anything lower than that is not useful with current operating systems.

## Destructor

### ~AccessExpireStrategy

~AccessExpireStrategy();

## Member Functions

### onGet

void onGet(
const void * param103,
const TKey & key
);